image: node:lts-alpine3.14
  
cache:
  paths:
    - node_modules/

before_script:
  - npm install hexo-cli -g
  - test -e package.json && npm install
  - hexo generate

pages:
  script:  
    - mkdir .public
    - cp -r * .public
    - mv .public public
    - hexo generate
  artifacts:
    paths:
      - public
